import { IApiPayload, IApiSuccess, IDataTableQuery, IDataFetcherResponse } from '../../../../../_common';
import { IEntityContainer, IEntityDependencyContainer } from '../../../../../DataHub';
import { IGetTasksQuery, ITaskContainer } from './Tasks.models';

export declare const tasksApi: {
    /** getList */
    getList(query: IGetTasksQuery): Promise<IDataFetcherResponse<ITaskContainer>>;
    /** Get entity data */
    get(entityId: number, freezeEntityIfPossible?: boolean): Promise<IApiPayload<ITaskContainer>>;
    /** markDone */
    markDone(ids: number[]): Promise<IApiSuccess>;
    /** reopen */
    reopen(ids: number[]): Promise<IApiSuccess>;
    /** assignTo */
    assignTo(userId: number | null, ids: number[]): Promise<IApiSuccess>;
    /** listAttributesLanguagesAndScopes */
    listAttributesLanguagesAndScopes(entityId: number): Promise<IApiPayload<IEntityContainer>>;
    /** listAttributesLanguagesAndScopesBySetId */
    listAttributesLanguagesAndScopesBySetId(dhAttributeSetId: number): Promise<IApiPayload<IEntityContainer>>;
    /** Get all dependencies for a specific entity */
    getDependencies(query: IDataTableQuery & {
        entityId: number;
    }): Promise<IDataFetcherResponse<IEntityDependencyContainer>>;
    /** Rerun specific mappings for a source entity */
    rerunMappings(entityId: number, dependencies: number[]): Promise<IApiSuccess>;
};
